/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tokuno Quest\Part 1 A Cold Warning\DesertHerb.cs
Lines of code: 29
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class DesertHerb : BaseContinuationToken
	{
		
		public override bool DisableTravel { get {return true;}} 
		public override bool DisableTrade { get {return true;}} 
		public override bool DisableStore { get {return false;}} 
		public override string DoubleClickMessage { get {return "Bring this herb to Juro the Alchemist in Zento";}}		
		
		[Constructable]
		///////////Name, itemid, hue, expire time
		public DesertHerb() : base("Desert Herb", 3254, 1420, TimeSpan.FromHours(2) )
		{
		}
		
		public DesertHerb( Serial serial ) : base( serial )
		{
		}
		
	

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt(); 
		}	
	}
}